Description

Data products in LArSoft used to hide part of the code from ROOT 5 by enclosing it in #ifndef _ GCCXML___ guards. This was

necessary due to the... limitations of CINT and friends.

ROOQT 6 is using rootcling instead, whose level of understanding is basically the same as gcc. Those guards are therefore not
needed. But, more to the point, rootcling does not define __ GCCXML___ any more, so those guards are ineffective and misleading.
LArSoft should consider removing them or replacing them with __ ROOTCLING___ guards, which are the equivalent in the new world.

To be more explicit: that they are not needed is proven by the fact that they have been ignored since LArSoft 6.0.1, and nobody has

reported any related problem since.

History

#1 - 01/30/2017 01:41 PM - Erica Snider
- Status changed from New to Accepted

- Target version set to 2017-1-quarter

#2 - 05/10/2017 02:49 PM - Katherine Lato

- Target version changed from 2017-1-quarter to 2017-4-quarter

#3 - 01/09/2018 02:52 PM - Katherine Lato

- Target version changed from 2017-4-quarter to 2019-1-quarter
